.compare-tag-item {
  transition: opacity 0.25s ease;
}

.compare-tag-item.is-hidden {
  opacity: 0;
  pointer-events: none;
}


.shengwang_goods_read_nav {
  padding: 34px 0 46px;
  display: flex;
  align-items: center;
  gap: 6px;
  max-width: 100%;
  /* height: 16px; */
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  line-clamp: 1;
  overflow: hidden;
}
.shengwang_goods_read .row{
  margin: 0;
}
@media (min-width: 1600px) {
  .shengwang_goods_read .container{
    max-width: 1360px;
  }
}
.shengwang_goods_read .swiper {
  padding: 0;
  margin: 0;
}

.shengwang_goods_read_nav a {
  color: #999;
}

.shengwang_goods_read_nav a b {
  color: var(--color-primary);
  font-size: 14px;
  font-weight: 400;
  line-height: normal;
}

.shengwang_goods_read_nav_right {
  color: #999;
}

.shengwang_goods_read_nav_right b {
  color: #333;
  font-size: 14px;
  font-weight: 400;
  line-height: normal;
}

.shengwang_goods_read_left {
  width: 36.1%;
  display: flex;
  padding-right: 30px;
  gap: 8px;
}

.shengwang_goods_read_right {
  width: 63.9%;
  padding-right: 16.67%;
}

.shengwang_goods_read_top {
  padding: 34px 0 46px;
  color: #333;
  font-size: 14px;
  font-weight: 400;
}

#product-slider {
  width: 13.2%;
  max-height: 416px;
  overflow-y: auto;
}

#product-slider .swiper-button-prev:after,
#product-slider .swiper-button-next:after {
  display: none;
}

#product-slider .swiper-button-next,
#product-slider .swiper-button-prev {
  width: 100%;
  height: fit-content;
  padding: 3.475px 0;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 2.317px;
  border: 1px solid rgba(0, 0, 0, 0.06);
  background: #FFF;
}

.swiper-button-prev.swiper-button-disabled,
.swiper-button-next.swiper-button-disabled {
  opacity: 0 !important;
}

#product-slider i {
  font-size: 12px !important;
  color: #000 !important;
}

#product-slider .swiper-button-next {
  top: auto;
  bottom: 0;
  right: 0;
  left: auto;
}

#product-slider .swiper-button-prev {
  bottom: auto;
  top: 22px;
  left: 0;
  right: auto;
}

#product-slider::-webkit-scrollbar {
  display: none;
}

#product-thumbs-slider {
  width: calc(100% - 12% - 8px);
}

#product-slider .swiper-wrapper {
  height: fit-content !important;
  flex-direction: column;
}

#product-slider .product-item {
  aspect-ratio: 1/1;
  height: auto !important;
  object-fit: cover;
}

#product-slider .swiper-slide-thumb-active img {
  border: 2px solid var(--color-primary);
  border-radius: 4px;

}

.shengwang_goods_read_right .product-title {
  color: #000;
  font-size: 27.598px;
  font-weight: 400;
  line-height: 1.2;
  font-family: var(--title-font-family);
}

.shengwang_goods_read_right .shengwang_goods_read_right_desc {
  color: #666;
  font-size: 14px;
  font-weight: 300;
  line-height: normal;
  margin-top: 16px;
}

.shengwang_goods_read_right .line {
  width: 100%;
  height: 1px;
  background: #BFBFBF;
  margin: 24px 0;
}

.shengwang_goods_read_right_capacity {
  color: #333;
  font-size: 14px;
  font-weight: 400;
  line-height: normal;
  font-family: var(--title-font-family);
}

.shengwang_goods_read_right_weight,
.shengwang_goods_read_right_customized {
  color: #333;
  font-size: 14px;
  font-weight: 400;
  line-height: 2;
  margin-top: 16px;
  font-family: var(--title-font-family);
}

.shengwang_goods_read_right .book {
  width: fit-content;
  display: flex;
  padding: 16px 30px;
  border-radius: 50px;
  background: var(--color-primary);
  justify-content: center;
  align-items: center;
  color: #FFF;
  font-size: 20px;
  font-weight: 400;
  line-height: normal;
  margin-top: 40px;
}
.shengwang_goods_read_content {
  margin-top: 90px;
}

.shengwang_goods_read .pre-nav-list-wrapper {
  position: relative;
  z-index: 10;
  background: #fff;
  width: 100%;
}

.shengwang_goods_read .pre-nav-placeholder {
  width: 100%;
  height: 0;
}

.shengwang_goods_read .pre-nav-list-wrapper.is-fixed {
  position: fixed;
  left: 0;
  right: 0;
}

.shengwang_goods_read .pre-nav-list-wrapper-inner {
  max-width: 100%;
  overflow-x: auto;
}

.shengwang_goods_read .pre-nav-list-wrapper-inner::-webkit-scrollbar {
  display: none;
}

.shengwang_goods_read .pre-nav-list {
  width: max-content;
  display: flex;
  gap: 30px;
}

.shengwang_goods_read .pre-nav-item {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 19px 10px;
  color: #000;
  font-size: 20px;
  font-weight: 400;
  line-height: 1.65;
  cursor: pointer;
}
.shengwang_goods_read_content_item:not(:first-child){
  padding-top: 80px;
}
.shengwang_goods_read_content_item{
  background: #fff;
  padding-bottom: 80px;
}
.shengwang_goods_read_content_item:nth-child(odd){
  background: #F9F9F9;
}
.shengwang_goods_read .pre-nav-item.active {
  font-family: var(--title-font-family);
  font-weight: 700;
  border-bottom: 3px solid #000;
}
.shengwang_goods_read_content_list{
  background: #F9F9F9;
  padding: 80px 0;
  padding-bottom: 0 !important;
}
.shengwang_goods_read_content_item_title {
  font-family: var(--title-font-family);
  color: #000;
  font-size: var(--shengwang-inner-title);
  font-weight: 600;
  letter-spacing: -0.84px;
  text-align: center;
  margin-bottom: 50px;
}

/* --------------------------------
  Image Compare (refer: carcity_comparision)
---------------------------------- */
.shengwang_goods_read .compare-box .compare-wrapper {
  width: 100%;
  margin: 0 auto;
  position: relative;
  overflow: hidden;
  border-radius: 50px;
  /* 给一个稳定的高度：用比例撑起容器，避免内容塌陷 */
  aspect-ratio: 1360/644;
  background: #E7E7E9;
}
.shengwang_goods_read .compare-box .compare-title{
  padding: 30px 0;
  text-align: center;
  color: #000;
  font-size: 36px;
  font-weight: 500;
  line-height: normal;
  letter-spacing: -0.48px;
  font-family: var(--title-font-family);
}
.shengwang_goods_read .compare-box .compare-images {
  width: 100%;
  height: 100%;
  position: relative;
}

.shengwang_goods_read .compare-box .compare-image {
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: absolute;
}
.shengwang_goods_read .compare-box .compare-image 
.shengwang_goods_read .compare-box .compare-image.image-after {
  position: absolute;
  left: 0;
  top: 0;
  clip-path: inset(0 0 0 50%);
}

.shengwang_goods_read .compare-box .compare-slider {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 5;
}

.shengwang_goods_read .compare-box .compare-range {
  width: 100%;
  height: 100%;
  outline: none;
  appearance: none;
  -webkit-appearance: none;
  background: none;
  margin: 0;
}

.shengwang_goods_read .compare-box .compare-range::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 3px;
  height: 100%;
  background: transparent;
  cursor: col-resize;
}

.shengwang_goods_read .compare-box .compare-range::-moz-range-thumb {
  width: 3px;
  height: 100%;
  background: transparent;
  border: 0;
  cursor: col-resize;
}

.shengwang_goods_read .compare-box .compare-drag-line {
  width: 8px;
  height: 100%;
  position: absolute;
  left: 50%;
  top: 0;
  pointer-events: none;
  /* background: #fff; */
}

.shengwang_goods_read .compare-box .compare-drag-line::before,
.shengwang_goods_read .compare-box .compare-drag-line::after {
  position: absolute;
  content: "";
  width: 8px;
  height: 43%;
  left: 50%;
  transform: translateX(-50%);
  background: #fff;
}

.shengwang_goods_read .compare-box .compare-drag-line::before {
  top: 0;
}

.shengwang_goods_read .compare-box .compare-drag-line::after {
  bottom: 0;
}

.shengwang_goods_read .compare-box .compare-drag-line span {
  position: absolute;
  width: 102px;
  height: 102px;
  border-radius: 50%;
  background: transparent;
  border: 8px solid #fff;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

.shengwang_goods_read .compare-box .compare-drag-line span > i {
  font-size: 40px;
  color: #fff;
  /* width: 32px; */
}

.shengwang_goods_read .compare-box .compare-drag-line span::before {
  left: 40%;
  border-left-color: #fff;
}

.shengwang_goods_read .compare-box .compare-drag-line span::after {
  left: 60%;
  border-top-color: #fff;
}

.shengwang_goods_read .compare-box {
  border-radius: 50px;
  background: #E7E7E9;
}
.shengwang_goods_read .compare-box .compare-tags{
  position: absolute;
  top: 7.4%;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
  padding: 0 40px;
  color: var(--color-primary);
  font-size: 42.5px;
  font-weight: 500;
  letter-spacing: -1.02px;
  font-family: var(--title-font-family);
}
.shengwang_goods_read .compare-box .compare-tags img{
  aspect-ratio: 151/89;
  max-width: 151px;
  object-fit: contain;
  width: 100%;
  height: 100%;
}
.shengwang_goods_read .char-box{
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
  padding: 23px 61px 23px 0;
}
.shengwang_goods_read .char-box .char-list{
  width: 50%;
  display: flex;
  flex-direction: column;
  gap: 24px;

}
.shengwang_goods_read .char-box .char-list .char-item{
  padding-left: 28px;
  position: relative;
}
.shengwang_goods_read .char-box .char-list .char-item::before{
  content: "";
  position: absolute;
  left: 8px;
  top: 8px;
  width: 8px;
  height: 8px;
  background: var(--color-primary);
  border-radius: 50%;
}
.shengwang_goods_read .char-box .char-list .char-item-title{
  color: var(--color-primary);
  font-size: 20px;
  font-weight: 700;
  font-family: var(--title-font-family);
}
.shengwang_goods_read .char-box .char-list .char-item-content{
  color: #333;
  margin-top: 8px;
  font-family: var(--font-family);
  font-size: 14px;
  font-weight: 400;
  line-height: normal;
}
.shengwang_goods_read .char-box .char-pic{
  width: 354px;
}
.shengwang_goods_read .char-box .char-pic img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 1/1;
}
.shengwang_goods_read .pic-box{
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.shengwang_goods_read .pic-box .first-pic{
  width: 100%;
  aspect-ratio: 1360/765;
  position: relative;
}
.shengwang_goods_read .pic-box .pic-box-inner{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 16px;
  color: #fff;
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.20) 0%, rgba(0, 0, 0, 0.20) 100%);
}
.shengwang_goods_read .pic-box .pic-box-inner .title{
  font-size: 24px;
  font-weight: 500;
  line-height: normal;
  font-family: var(--title-font-family);
}
.shengwang_goods_read .pic-box .pic-box-inner .desc{
  font-size: 16px;
  font-weight: 400;
  line-height: normal;
  font-family: var(--font-family);
}
.shengwang_goods_read .pic-box  img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 1360/765;
}
.shengwang_goods_read .pic-box .pic-item{
  aspect-ratio: 4/3;
  border-radius: 24px;
  overflow: hidden;
}
.shengwang_goods_read .pic-box .pic-list{
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
}
.shengwang_goods_read .pic-box .pic-item {
  width: calc(33.33% - 20px);
}

@media (max-width: 1500px) {
  #product-slider {
    max-height: 343px;
  }
  .shengwang_goods_read .compare-box,.shengwang_goods_read .compare-box .compare-wrapper{
    border-radius:40px;
  }
  .shengwang_goods_read_right {
    padding-right: 0;
  }
  .shengwang_goods_read .compare-box .compare-drag-line::before, .shengwang_goods_read .compare-box .compare-drag-line::after{
    height: 42%;
  }
  .shengwang_goods_read .compare-box .compare-title{
    font-size: 30px;
  }
  .shengwang_goods_read_content_list,
  .shengwang_goods_read_content_item:not(:first-child){
    padding-top: 60px;
  }
  .shengwang_goods_read_content_item{
    padding-bottom: 60px;
  }
  .shengwang_goods_read .compare-box .compare-tags img{
    max-width: 120px;
    font-size: 36px;
  }
  .shengwang_goods_read .char-box .char-pic{
    width: 300px;
  }
  .shengwang_goods_read .compare-box .compare-tag-item.tag-others{
    left:30px;
    font-size:32px;
    top:30px;
  }
  .shengwang_goods_read .compare-box .compare-tag-item.tag-logo{
    top:30px;
    right:30px;
    width:120px;
  }
}

@media (max-width: 1280px) {
  #product-slider {
    max-height: 324px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line span > i{
    font-size:25px;
  }
  .shengwang_goods_read_right .line {
    margin: 20px 0;
  }
  .shengwang_goods_read .compare-box,.shengwang_goods_read .compare-box .compare-wrapper{
    border-radius:30px;
  }
  .shengwang_goods_read .compare-box .compare-title{
    font-size: 28px;
  }
  .shengwang_goods_read_content_list,
  .shengwang_goods_read_content_item:not(:first-child){
    padding-top: 40px;
  }
  .shengwang_goods_read_content_item{
    padding-bottom: 40px;
  }
  .shengwang_goods_read_right .book {
    margin-top: 20px;
    padding: 12px 24px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line::before, .shengwang_goods_read .compare-box .compare-drag-line::after{
    height: 45%;
    width: 4px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line span {
    border-width: 4px;
    width: 60px;
    height: 60px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line span::before, .shengwang_goods_read .compare-box .compare-drag-line span::after{
    border-width: 15px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line span::before{
    left: 35%;
  }
  .shengwang_goods_read .compare-box .compare-drag-line span::after{
    left: 65%;
  }
  .shengwang_goods_read .compare-box .compare-tags img{
    max-width: 100px;
  }
  .shengwang_goods_read .compare-box .compare-tags{
    padding: 0 20px;
    font-size: 30px;
  }
  .shengwang_goods_read .compare-box .compare-tag-item.tag-others{
    left:30px;
    font-size:26px;
    top:30px;
  }
  .shengwang_goods_read .compare-box .compare-tag-item.tag-logo{
    top:30px;
    right:30px;
    width:100px;
  }
}

@media (max-width: 1200px) {
  .shengwang_goods_read .compare-box .compare-drag-line::before, .shengwang_goods_read .compare-box .compare-drag-line::after{
    height: 44%;
  }
  #product-slider {
    max-height: 267px;
  }

  .shengwang_goods_read_right .line {
    margin: 12px 0;
  }

  .shengwang_goods_read_right .book {
    margin-top: 12px;
    padding: 10px 20px;
  }

  .shengwang_goods_read_right_weight,
  .shengwang_goods_read_right_customized,
  .shengwang_goods_read_right .shengwang_goods_read_right_desc {
    margin-top: 12px;
  }
  .shengwang_goods_read .compare-box .compare-tags{
    font-size: 28px;
  }
  .shengwang_goods_read .char-box .char-pic{
    width: 250px;
  }
}

@media (max-width: 992px) {
  .shengwang_goods_read .compare-box .compare-tag-item.tag-others{
    left:20px;
    font-size:24px;
    top:25px;
  }
  .shengwang_goods_read .compare-box .compare-tag-item.tag-logo{
    top:25px;
    right:20px;
    width:80px;
  }
  .shengwang_goods_read .row {
    flex-direction: column;
    margin: 0;
    gap: 30px;
  }
  .shengwang_goods_read .pic-box .first-pic .pic-box-inner{
    gap: 10px;
  }
  .shengwang_goods_read .pic-box .first-pic .pic-box-inner .title{
    font-size: 20px;
  }
  .shengwang_goods_read .pic-box .first-pic .pic-box-inner .desc{
    font-size: 14px;
  }
  .shengwang_goods_read .compare-box .compare-title{
    font-size: 24px;
    padding: 15px 0;
  }
  .shengwang_goods_read .compare-box,.shengwang_goods_read .compare-box .compare-wrapper{
    border-radius:20px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line::before, .shengwang_goods_read .compare-box .compare-drag-line::after{
    height: 42%;
  }
  .shengwang_goods_read_left {
    width: 100%;
    padding-right: 0;
  }
  .shengwang_goods_read .pic-box {
    gap: 15px;
  }
  .shengwang_goods_read .pic-box .pic-list{
    gap: 15px;
  }
  .shengwang_goods_read .pic-box .pic-item {
    width: calc(50% - 15px);
  }
  .shengwang_goods_read_right {
    width: 100%;
  }

  #product-slider {
    max-height: 618px;
  }

  .shengwang_goods_read_nav {
    margin: 24px 0;
  }
  .shengwang_goods_read .compare-box .compare-drag-line{
    width:4px;
  }
  .shengwang_goods_read_content_list,
  .shengwang_goods_read_content_item:not(:first-child){
    padding-top: 30px;
  }
  .shengwang_goods_read_content_item{
    padding-bottom: 30px;
  }
  .shengwang_goods_read_content_item_title{
    margin-bottom: 30px;
  }
  .shengwang_goods_read .char-box .char-list .char-item-title{
    font-size: 18px;
  }
  .shengwang_goods_read .char-box .char-list .char-item-content{
    font-size: 12px;
  }
  .shengwang_goods_read .char-box .char-pic{
    width: 200px;
  }
}

@media (max-width: 768px) {
  .shengwang_goods_read_content{
    margin-top: 40px;
  }
  #product-slider {
    max-height: 462px;
  }
  .shengwang_goods_read .compare-box .compare-title{
    font-size: 20px;
  }
  .shengwang_goods_read_content_list,
  .shengwang_goods_read_content_item:not(:first-child){
    padding-top: 20px;
  }
  .shengwang_goods_read_content_item_title{
    margin-bottom: 20px;
  }
  .shengwang_goods_read_content_item{
    padding-bottom: 20px;
  }
  .shengwang_goods_read_right .product-title {
    font-size: 24px;
  }

  .shengwang_goods_read_right .book {
    font-size: 14px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line span {
    width: 40px;
    height: 40px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line span > i{
    font-size:14px
  }
  .shengwang_goods_read .compare-box .compare-tags img{
    max-width: 80px;
  }
  .shengwang_goods_read .compare-box .compare-tags{
    font-size: 20px;
  }
  .shengwang_goods_read .char-box .char-pic{
    width: 200px;
  }
  .shengwang_goods_read .char-box {
    flex-direction: column;
    gap: 20px;
    padding: 20px 0;
  }
  .shengwang_goods_read .char-box .char-list{
    width: 100%;
    gap: 10px;
  }
  .shengwang_goods_read .char-box .char-pic{
    width: 100%;
  }
}

@media (max-width: 576px) {
  #product-slider {
    max-height: 466px;
  }
  .shengwang_goods_read .compare-box .compare-title{
    font-size: 18px;
  }
  .shengwang_goods_read_nav {
    margin: 12px 0;
  }

  .shengwang_goods_read .row {
    gap: 20px;
  }

  .shengwang_goods_read_right .product-title {
    font-size: 20px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line::before, .shengwang_goods_read .compare-box .compare-drag-line::after{
    height: 42%;
  }
  .shengwang_goods_read_right_weight,
  .shengwang_goods_read_right_capacity,
  .shengwang_goods_read_right_customized,
  .shengwang_goods_read_right .shengwang_goods_read_right_desc {
    font-size: 12px;
  }
  .shengwang_goods_read .char-box .char-pic{
    width: 150px;
  }
}

@media (max-width: 480px) {
  #product-slider {
    max-height: 382px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line::before, .shengwang_goods_read .compare-box .compare-drag-line::after{
    height: 41%;
  }
}
@media (max-width: 400px) {
  #product-slider {
    max-height: 310px;
  }
  .shengwang_goods_read .compare-box .compare-drag-line::before, .shengwang_goods_read .compare-box .compare-drag-line::after{
    height: 40%;
  }
}